Subject: bug#18399: 24.4.50; nadvice :filter-args -vs- interactive

From: Stefan Monnier <[email-masked]>
Date: Thu, 04 Sep 2014 09:13:46 -0400

> FWIW, the use of a single formal arg receiving the actual arg-list
> in :filter-args is based on performance reasons (we have the list
> anyway, so it's more efficient to pass it to `funcall' than to `apply').

Oh, and also, this way the function can return the list as-is when
the args don't need to be modified.

        Stefan